jv.geom

## Class PgPolygon_Menu

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - jv.objectGui.PsMethodMenu
        - - jv.project.PgGeometry_Menu
          - - jv.geom.PgPointSet_Menu
            - - jv.geom.PgPolygon_Menu

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, java.util.List, java.util.RandomAccess, PsUpdateIf

      public class PgPolygon_Menu
      extends PgPointSet_Menu

  Add specific menu items to 'method' menu in control panel to invoke methods from menu.
  See Also:
    `PgGeometry_Menu`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    30.08.08, 2.30 revised (kp) No longer enable showing of vertices, edges and elements when individual color is computed.
    22.03.02, 2.20 revised (ur) Internationalization.
    15.09.01, 2.10 revised (ur) Reorganisation of all Method Menus.
    18.07.99, 2.00 revised (kp) Method calls changed and PsMenu replaced with standard java.awt.Menu.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `m_polygonMethod`
    `static int` | `MTHD_CLOSE`
    `static int` | `MTHD_INVERT_EDGE_MARKS`
    `static int` | `MTHD_LENGTH`
    `static int` | `MTHD_MAKE_EDGE_COLOR_FROM_LENGTH`
    `static int` | `MTHD_MAKE_EDGE_COLOR_FROM_VERTEX`
    `static int` | `MTHD_MAKE_EDGE_COLOR_FROM_XYZ`
    `static int` | `MTHD_MAKE_EDGE_COLOR_FROM_Z`
    `static int` | `MTHD_MAKE_EDGE_COLOR_FROM_Z_HUE`
    `static int` | `MTHD_MAKE_VERTEX_BINORMALS`
    `static int` | `MTHD_MAKE_VERTEX_COLOR_FROM_EDGE`
    `static int` | `MTHD_MAKE_VERTEX_COLOR_FROM_LENGTH`
    `static int` | `MTHD_MAKE_VERTEX_CURVATURE_NORMALS`
    `static int` | `MTHD_MAKE_VERTEX_NORMALS`
    `static int` | `MTHD_MAKE_VERTEX_OFFSET_NORMALS`
    `static int` | `MTHD_MARK_ALL_EDGES`
    `static int` | `MTHD_REMOVE_EDGE_COLORS`
    `static int` | `MTHD_REMOVE_EDGE_NORMALS`
    `static int` | `MTHD_REMOVE_MARKED_EDGES`
    `static int` | `MTHD_SHOW_EDGE_COLOR_FROM_VERTEX`
    `static int` | `MTHD_SHOW_EDGE_LABELS`
    `static int` | `MTHD_SHOW_EDGE_NORMAL_ARROW`
    `static int` | `MTHD_SHOW_EDGE_SHADING`
    `static int` | `MTHD_SHOW_GLOBAL_EDGE_COLOR`
    `static int` | `MTHD_SHOW_GOURAUD_SHADING`
    `static int` | `MTHD_SHOW_POLYGON_END_ARROW`
    `static int` | `MTHD_SHOW_POLYGON_START_ARROW`
    `static int` | `MTHD_TRIANGULATE`
    `static int` | `MTHD_UNMARK_ALL_EDGES`

    - ### Fields inherited from class jv.geom.PgPointSet_Menu

      `m_pointSetMethod, MTHD_ADD_TEXTURE, MTHD_APPLY_AMBIENT_MATRIX, MTHD_APPLY_CAMERA_MATRIX, MTHD_APPLY_MODELING_MATRIX, MTHD_CONVERT_ELEMENTSET, MTHD_CONVERT_POINTSET, MTHD_CONVERT_POLYGON, MTHD_CONVERT_POLYGONSET, MTHD_DECREMENT_DIMENSION, MTHD_ENABLE_INDEX_LABELS, MTHD_FLIP_ORIENTATION, MTHD_IGNORE_DEPTHCUE, MTHD_INCREMENT_DIMENSION, MTHD_INVERT_VERTEX_MARKS, MTHD_MAKE_VERTEX_TEXTURE_CYL, MTHD_MAKE_VERTEX_TEXTURE_SPH, MTHD_MAKE_VERTEX_TEXTURE_XY, MTHD_MAKE_VERTEX_TEXTURE_XZ, MTHD_MAKE_VERTEX_TEXTURE_YZ, MTHD_MARK_ALL_VERTICES, MTHD_MARK_VERTICES, MTHD_MOVE_TO_ORIGIN, MTHD_PRINT_FVECTOR, MTHD_PROJECT_FROM_AMBIENT_SPACE, MTHD_PROJECT_TO_SPHERE, MTHD_REMOVE_MARKED_VERTICES, MTHD_REMOVE_TEXTURE, MTHD_REMOVE_VECTOR_FIELDS, MTHD_REMOVE_VERTEX_COLORS, MTHD_REMOVE_VERTEX_NORMALS, MTHD_SHOW_GLOBAL_VERTEX_COLOR, MTHD_SHOW_MARKED_VERTICES, MTHD_SHOW_VECTOR_ARROWS, MTHD_SHOW_VERTEX_LABELS, MTHD_SHOW_VERTEX_NORMAL_ARROW, MTHD_SHOW_VERTEX_OUTLINE, MTHD_SHOW_VERTEX_TEXTURE, MTHD_UNMARK_ALL_VERTICES, MTHD_UNMARK_VERTICES, MTHD_VERTEX_COLOR_FROM_NORMAL, MTHD_VERTEX_COLOR_FROM_VECTOR, MTHD_VERTEX_COLOR_FROM_XYZ, MTHD_VERTEX_COLOR_FROM_Z, MTHD_VERTEX_COLOR_FROM_Z_HUE`

    - ### Fields inherited from class jv.project.PgGeometry_Menu

      `m_geometryMethod, MTHD_PRINT_ALL, MTHD_PRINT_BNDBOX, MTHD_PRINT_CENTER, MTHD_SHOW_BNDBOX, MTHD_SHOW_CENTER, MTHD_SHOW_NAME, MTHD_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgPolygon_Menu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyMethod(java.lang.String aMethod)` Find and execute a command selected by menu selection.
    `void` | `init(PsObject anObject)` Register the target geometry, and subclasses should register all menu items and submenus.
    `boolean` | `update(java.lang.Object event)` Update this menu if the parent object has changed.

    - ### Methods inherited from class jv.project.PgGeometry_Menu

      `getViewer, setViewer`

    - ### Methods inherited from class jv.objectGui.PsMethodMenu

      `actionPerformed, addMenu, addMenu, addMenuItem, addMenuItem, addMenuItem, clone, getFather, getLanguage, getMenu, getMenuItem, getName, getPanelVersion, hasMenu, hasMenuItem, itemStateChanged, removeMenu, removeMenuItem, setName, setParent`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### MTHD_CLOSE

          public static final int MTHD_CLOSE

      See Also:
        Constant Field Values

    - #### MTHD_TRIANGULATE

          public static final int MTHD_TRIANGULATE

      See Also:
        Constant Field Values

    - #### MTHD_LENGTH

          public static final int MTHD_LENGTH

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_NORMALS

          public static final int MTHD_MAKE_VERTEX_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_POLYGON_START_ARROW

          public static final int MTHD_SHOW_POLYGON_START_ARROW

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_POLYGON_END_ARROW

          public static final int MTHD_SHOW_POLYGON_END_ARROW

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_EDGE_LABELS

          public static final int MTHD_SHOW_EDGE_LABELS

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_BINORMALS

          public static final int MTHD_MAKE_VERTEX_BINORMALS

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_OFFSET_NORMALS

          public static final int MTHD_MAKE_VERTEX_OFFSET_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_CURVATURE_NORMALS

          public static final int MTHD_MAKE_VERTEX_CURVATURE_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_EDGE_COLORS

          public static final int MTHD_REMOVE_EDGE_COLORS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_EDGE_NORMALS

          public static final int MTHD_REMOVE_EDGE_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MARKED_EDGES

          public static final int MTHD_REMOVE_MARKED_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_GLOBAL_EDGE_COLOR

          public static final int MTHD_SHOW_GLOBAL_EDGE_COLOR

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_EDGE_COLOR_FROM_XYZ

          public static final int MTHD_MAKE_EDGE_COLOR_FROM_XYZ

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_EDGE_COLOR_FROM_Z

          public static final int MTHD_MAKE_EDGE_COLOR_FROM_Z

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_EDGE_COLOR_FROM_Z_HUE

          public static final int MTHD_MAKE_EDGE_COLOR_FROM_Z_HUE

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_EDGE_NORMAL_ARROW

          public static final int MTHD_SHOW_EDGE_NORMAL_ARROW

      See Also:
        Constant Field Values

    - #### MTHD_MARK_ALL_EDGES

          public static final int MTHD_MARK_ALL_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_UNMARK_ALL_EDGES

          public static final int MTHD_UNMARK_ALL_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_INVERT_EDGE_MARKS

          public static final int MTHD_INVERT_EDGE_MARKS

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_COLOR_FROM_EDGE

          public static final int MTHD_MAKE_VERTEX_COLOR_FROM_EDGE

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_EDGE_COLOR_FROM_VERTEX

          public static final int MTHD_MAKE_EDGE_COLOR_FROM_VERTEX

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_GOURAUD_SHADING

          public static final int MTHD_SHOW_GOURAUD_SHADING

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_EDGE_SHADING

          public static final int MTHD_SHOW_EDGE_SHADING

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_EDGE_COLOR_FROM_VERTEX

          public static final int MTHD_SHOW_EDGE_COLOR_FROM_VERTEX

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_COLOR_FROM_LENGTH

          public static final int MTHD_MAKE_VERTEX_COLOR_FROM_LENGTH

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_EDGE_COLOR_FROM_LENGTH

          public static final int MTHD_MAKE_EDGE_COLOR_FROM_LENGTH

      See Also:
        Constant Field Values

    - #### m_polygonMethod

          public java.lang.String[] m_polygonMethod

  - ### Constructor Detail

    - #### PgPolygon_Menu

          public PgPolygon_Menu()

  - ### Method Detail

    - #### init

          public void init(PsObject anObject)

      Description copied from class: `PsMethodMenu`
      Register the target geometry, and subclasses should register all menu items and submenus.
      Overrides:
        `init` in class `PgPointSet_Menu`
      Parameters:
        `anObject` - argument used by subclasses to specify object on which action shall be executed.

    - #### update

          public boolean update(java.lang.Object event)

      Update this menu if the parent object has changed. Set the state of CheckboxMenuItems depending on the states of the parent geometry.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PgPointSet_Menu`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsMethodMenu.setParent(PsUpdateIf)`, `PsMethodMenu.getFather()`

    - #### applyMethod

          public boolean applyMethod(java.lang.String aMethod)

      Description copied from class: `PgPointSet_Menu`
      Find and execute a command selected by menu selection.
      Overrides:
        `applyMethod` in class `PgPointSet_Menu`

"

The software JavaView? is copyright protected. All Rights Reserved.
"